import { FC } from 'react'
import { SupportPlanFeatureKey } from '../enum/SupportEnum'
import {
    Document,
    MessageQuestion,
    Clock,
    Call,
    Save2,
    Profile2User,
    Location,
    Teacher,
    Ticket
} from 'iconsax-react'

type Props = {
    keySupport: SupportPlanFeatureKey
}

const SupportIcon: FC<Props> = ({ keySupport }) => {

    switch (keySupport) {
        case SupportPlanFeatureKey.LEARNING_DOCS:
            return <Document size={16} color='#595C67' variant='Bold' />
        case SupportPlanFeatureKey.TICKET_SUPPORT:
            return <MessageQuestion size={16} color='#595C67' variant='Bold' />
        case SupportPlanFeatureKey.RESPONSE_TIME:
            return <Clock size={16} color='#595C67' variant='Bold' />
        case SupportPlanFeatureKey.PHONE_SUPPORT:
            return <Call size={16} color='#595C67' variant='Bold' />
        case SupportPlanFeatureKey.BACKUP_VERSION:
            return <Save2 size={16} color='#595C67' variant='Bold' />
        case SupportPlanFeatureKey.TECHNICAL_EXPERT_ACCESS:
            return <Profile2User size={16} color='#595C67' variant='Bold' />
        case SupportPlanFeatureKey.ON_SITE_SUPPORT:
            return <Location size={16} color='#595C67' variant='Bold' />
        case SupportPlanFeatureKey.ON_SITE_TRAINING:
            return <Teacher size={16} color='#595C67' variant='Bold' />
        case SupportPlanFeatureKey.TICKET_LIMIT:
            return <Ticket size={16} color='#595C67' variant='Bold' />
        default:
            return <Document size={16} color='#595C67' variant='Bold' />
    }
}

export default SupportIcon